(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('ngx-webstorage-service'), require('@videogular/ngx-videogular/core'), require('@videogular/ngx-videogular/controls'), require('@videogular/ngx-videogular/overlay-play'), require('@videogular/ngx-videogular/buffering'), require('rxjs'), require('uuid'), require('shepherd.js'), require('@angular/router'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('@sourceloop/user-onboarding-client', ['exports', '@angular/core', 'ngx-webstorage-service', '@videogular/ngx-videogular/core', '@videogular/ngx-videogular/controls', '@videogular/ngx-videogular/overlay-play', '@videogular/ngx-videogular/buffering', 'rxjs', 'uuid', 'shepherd.js', '@angular/router', 'rxjs/operators'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sourceloop = global.sourceloop || {}, global.sourceloop['user-onboarding-client'] = {}), global.ng.core, global.i1, global.core, global.controls, global.overlayPlay, global.buffering, global.rxjs, global.uuid, global.Shepherd, global.ng.router, global.rxjs.operators));
}(this, (function (exports, i0, i1, core, controls, overlayPlay, buffering, rxjs, uuid, Shepherd, i2, operators) { 'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var Shepherd__default = /*#__PURE__*/_interopDefaultLegacy(Shepherd);

    var UserOnboardingLibModule = /** @class */ (function () {
        function UserOnboardingLibModule() {
        }
        return UserOnboardingLibModule;
    }());
    UserOnboardingLibModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [],
                    imports: [
                        i1.StorageServiceModule,
                        core.VgCoreModule,
                        controls.VgControlsModule,
                        overlayPlay.VgOverlayPlayModule,
                        buffering.VgBufferingModule
                    ],
                    exports: []
                },] }
    ];

    var SaveSCommand = /** @class */ (function () {
        function SaveSCommand(storage) {
            this.storage = storage;
        }
        SaveSCommand.prototype.execute = function () {
            var newTourState = this.parameters.state;
            this.storage.set(newTourState.sessionId + "_" + this.parameters.tourId, newTourState);
            return rxjs.of(newTourState);
        };
        return SaveSCommand;
    }());
    var LoadSCommand = /** @class */ (function () {
        function LoadSCommand(storage) {
            this.storage = storage;
        }
        LoadSCommand.prototype.execute = function () {
            var currentState = this.storage.get(this.parameters.sessionId + "_" + this.parameters.tourId);
            return rxjs.of(currentState);
        };
        return LoadSCommand;
    }());
    var DeleteSCommand = /** @class */ (function () {
        function DeleteSCommand(storage) {
            this.storage = storage;
        }
        DeleteSCommand.prototype.execute = function () {
            this.storage.remove(this.parameters.sessionId + "_" + this.parameters.tourId);
        };
        return DeleteSCommand;
    }());

    var SaveTCommand = /** @class */ (function () {
        function SaveTCommand(storage) {
            this.storage = storage;
        }
        SaveTCommand.prototype.execute = function () {
            var newTour = {
                tourId: this.parameters.tourId,
                tourSteps: this.parameters.tourSteps,
                styleSheet: this.parameters.styleSheet,
            };
            this.storage.set(this.parameters.tourId, newTour);
            return rxjs.of(newTour);
        };
        return SaveTCommand;
    }());
    var LoadTCommand = /** @class */ (function () {
        function LoadTCommand(storage) {
            this.storage = storage;
        }
        LoadTCommand.prototype.execute = function () {
            var existingTour = this.storage.get(this.parameters.tourId);
            return rxjs.of(existingTour);
        };
        return LoadTCommand;
    }());
    var DeleteTCommand = /** @class */ (function () {
        function DeleteTCommand(storage) {
            this.storage = storage;
        }
        DeleteTCommand.prototype.execute = function () {
            this.storage.remove(this.parameters.tourId);
        };
        return DeleteTCommand;
    }());

    var TourStoreServiceService = /** @class */ (function () {
        function TourStoreServiceService(storage) {
            this.storage = storage;
            this.commandMap = new Map();
            this.functionMap = new Map();
            this.defaultSSCommand = new SaveSCommand(this.storage);
            this.defaultSTCommand = new SaveTCommand(this.storage);
            this.defaultLSCommand = new LoadSCommand(this.storage);
            this.defaultLTCommand = new LoadTCommand(this.storage);
            this.defaultDSCommand = new DeleteSCommand(this.storage);
            this.defaultDTCommand = new DeleteTCommand(this.storage);
            this.sessionGenerator = function () { return uuid.v4(); };
            this.commandMap.set('SaveTourCommand', this.defaultSTCommand);
            this.commandMap.set('LoadTourCommand', this.defaultLTCommand);
            this.commandMap.set('SaveStateCommand', this.defaultSSCommand);
            this.commandMap.set('LoadStateCommand', this.defaultLSCommand);
            this.commandMap.set('DeleteStateCommand', this.defaultDSCommand);
            this.commandMap.set('DeleteTourCommand', this.defaultDTCommand);
        }
        TourStoreServiceService.prototype.registerSaveTourCommand = function (cmd) {
            this.commandMap.set('SaveTourCommand', cmd);
        };
        TourStoreServiceService.prototype.registerLoadTourCommand = function (cmd) {
            this.commandMap.set('LoadTourCommand', cmd);
        };
        TourStoreServiceService.prototype.registerSaveStateCommand = function (cmd) {
            this.commandMap.set('SaveStateCommand', cmd);
        };
        TourStoreServiceService.prototype.registerLoadStateCommand = function (cmd) {
            this.commandMap.set('LoadStateCommand', cmd);
        };
        TourStoreServiceService.prototype.registerDeleteStateCommand = function (cmd) {
            this.commandMap.set('DeleteStateCommand', cmd);
        };
        TourStoreServiceService.prototype.registerDeleteTourCommand = function (cmd) {
            this.commandMap.set('DeleteTourCommand', cmd);
        };
        TourStoreServiceService.prototype.saveTour = function (parameters) {
            var command = this.commandMap.get('SaveTourCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.loadTour = function (parameters) {
            var command = this.commandMap.get('LoadTourCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.deleteTour = function (parameters) {
            var command = this.commandMap.get('DeleteTourCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.saveState = function (parameters) {
            var command = this.commandMap.get('SaveStateCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.loadState = function (parameters) {
            var command = this.commandMap.get('LoadStateCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.deleteState = function (parameters) {
            var command = this.commandMap.get('DeleteStateCommand');
            command.parameters = parameters;
            return command.execute();
        };
        TourStoreServiceService.prototype.registerFnRef = function (key, fn) {
            this.functionMap.set(key, fn);
        };
        TourStoreServiceService.prototype.getFnByKey = function (key) {
            return this.functionMap.get(key);
        };
        TourStoreServiceService.prototype.generateSessionId = function () {
            this.sessionId = this.sessionGenerator();
            this.storage.set('TOUR_SESSION_ID', this.sessionId);
        };
        TourStoreServiceService.prototype.getSessionId = function () {
            return this.storage.get('TOUR_SESSION_ID');
        };
        TourStoreServiceService.prototype.setSessionIdGenerator = function (fn) {
            this.sessionGenerator = fn;
        };
        return TourStoreServiceService;
    }());
    TourStoreServiceService.ɵprov = i0.ɵɵdefineInjectable({ factory: function TourStoreServiceService_Factory() { return new TourStoreServiceService(i0.ɵɵinject(i1.LOCAL_STORAGE)); }, token: TourStoreServiceService, providedIn: "root" });
    TourStoreServiceService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    TourStoreServiceService.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [i1.LOCAL_STORAGE,] }] }
    ]; };

    var prefix = "<vg-player><vg-overlay-play></vg-overlay-play><vg-buffering></vg-buffering>\n<vg-scrub-bar><vg-scrub-bar-current-time></vg-scrub-bar-current-time><vg-scrub-bar-buffering-time></vg-scrub-bar-buffering-time></vg-scrub-bar>\n<vg-controls><vg-play-pause></vg-play-pause> <vg-playback-button></vg-playback-button><vg-time-display vgProperty=\"current\" vgFormat=\"mm:ss\">\n</vg-time-display><vg-scrub-bar style=\"pointer-events: none;\"></vg-scrub-bar><vg-time-display vgProperty=\"left\" vgFormat=\"mm:ss\"></vg-time-display>\n<vg-time-display vgProperty=\"total\" vgFormat=\"mm:ss\"></vg-time-display><vg-track-selector></vg-track-selector><vg-mute ></vg-mute><vg-volume></vg-volume>\n<vg-fullscreen></vg-fullscreen></vg-controls>\n<video width=\"100%\" controls disablepictureinpicture controlslist=\"nodownload\" [vgMedia]=\"$any(media)\" #media id= \"singleVideo\" preload=\"auto\" controls><source src = \"";
    var suffix = '"type = video/webm type="video/mp4"> </video></vg-player>';

    (function (Status) {
        Status["InProgress"] = "inProgress";
        Status["Complete"] = "complete";
    })(exports.Status || (exports.Status = {}));

    var TourServiceService = /** @class */ (function () {
        function TourServiceService(tourStoreService, router) {
            this.tourStoreService = tourStoreService;
            this.router = router;
            this.tourComplete = new rxjs.Subject();
            this.tourComplete$ = this.tourComplete.asObservable();
            this.tourStepChange = new rxjs.Subject();
            this.tourStepChange$ = this.tourStepChange.asObservable();
            this.interval = 100;
            this.tour = new Shepherd__default['default'].Tour({
                useModalOverlay: true,
                defaultStepOptions: {
                    cancelIcon: {
                        enabled: true,
                    },
                    classes: 'class-1 class-2',
                    scrollTo: { behavior: 'smooth', block: 'center' },
                },
            });
        }
        TourServiceService.prototype.addRemovedSteps = function (removedSteps) {
            var count = removedSteps.length;
            for (var i = 0; i < count; i++) {
                this.tour.steps.splice(0, 0, this.tour.steps.pop());
            }
        };
        TourServiceService.prototype.actionAssignment = function (e, b, wrapperNormalNext, wrapperNormalPrev, wrapperNext, wrapperPrev, func, tourId, props) {
            if (b.key === 'prevAction') {
                b.action =
                    e.prevRoute === e.currentRoute ? wrapperNormalPrev : wrapperPrev;
            }
            else if (b.key === 'nextAction') {
                b.action =
                    e.nextRoute === e.currentRoute ? wrapperNormalNext : wrapperNext;
            }
            else {
                b.action = func.bind({ tour: this.tour, tourId: tourId, props: props });
            }
        };
        TourServiceService.prototype.navigationCheckNext = function (event, e, tourInstance, currentStepId, previousStepId) {
            var _this = this;
            if (event instanceof i2.NavigationEnd && event.url === e.currentRoute) {
                this.waitForElement(e.attachTo.element, 0)
                    .then(function () {
                    _this.tour.next();
                    _this.tourStepChange.next({
                        tourId: tourInstance.tourId,
                        currentStepId: currentStepId,
                        previousStepId: previousStepId,
                        moveForward: true,
                    });
                    _this.pauseAllVideos();
                })
                    .catch(function () {
                    throw new Error('Error detected in loading');
                });
            }
        };
        TourServiceService.prototype.navigationCheckBack = function (event, e, tourInstance, currentStepId, previousStepId) {
            var _this = this;
            if (event instanceof i2.NavigationEnd && event.url === e.currentRoute) {
                this.waitForElement(e.attachTo.element, 0)
                    .then(function () {
                    _this.tour.back();
                    _this.tourStepChange.next({
                        tourId: tourInstance.tourId,
                        currentStepId: currentStepId,
                        previousStepId: previousStepId,
                        moveForward: false,
                    });
                    _this.pauseAllVideos();
                })
                    .catch(function () {
                    throw new Error('Error detected in loading');
                });
            }
        };
        TourServiceService.prototype.waitForElement = function (querySelector, timeout) {
            var _this = this;
            if (timeout === void 0) { timeout = 0; }
            var startTime = new Date().getTime();
            return new Promise(function (resolve, reject) {
                var timer = setInterval(function () {
                    var now = new Date().getTime();
                    if (document.querySelector(querySelector)) {
                        clearInterval(timer);
                        resolve();
                    }
                    else if (timeout && now - startTime >= timeout) {
                        clearInterval(timer);
                        reject();
                    }
                    else {
                        // do nothing
                    }
                }, _this.interval);
            });
        };
        TourServiceService.prototype.triggerTour = function (tourInstance, props) {
            var _this = this;
            var removedSteps;
            var sessionId = this.tourStoreService.getSessionId();
            if (!sessionId) {
                this.tourStoreService.generateSessionId();
            }
            this.tourStoreService
                .loadState({ tourId: tourInstance.tourId, sessionId: sessionId })
                .subscribe(function (tourState) {
                if (tourState && Object.keys(tourState).length) {
                    removedSteps = _this.getRemovedSteps(tourInstance.tourSteps, tourState);
                    tourInstance.tourSteps = _this.getTourSteps(tourInstance.tourSteps, tourState);
                }
                else {
                    tourState = {
                        sessionId: _this.tourStoreService.getSessionId(),
                        step: tourInstance.tourSteps[0].id,
                        props: props,
                        status: exports.Status.InProgress,
                    };
                    _this.tourStoreService
                        .saveState({
                        tourId: tourInstance.tourId,
                        state: tourState,
                    })
                        .subscribe();
                }
                tourInstance.tourSteps.forEach(function (e) {
                    e.buttons.forEach(function (b) {
                        var key = b.key;
                        var func = _this.tourStoreService.getFnByKey(key);
                        var wrapperNext = function () {
                            _this.tourStoreService
                                .saveState({
                                tourId: tourInstance.tourId,
                                state: {
                                    sessionId: _this.tourStoreService.getSessionId(),
                                    step: e.nextStepId,
                                    props: tourState.props,
                                    status: _this.getStatus(e, tourInstance.tourSteps),
                                },
                            })
                                .subscribe();
                            _this.router.navigate([e.nextRoute]);
                            _this.router.events.subscribe(function (event) {
                                var nextStep = tourInstance.tourSteps.filter(function (ts) { return ts.id === e.nextStepId; })[0];
                                _this.navigationCheckNext(event, nextStep, tourInstance, e.nextStepId, e.id);
                            });
                        };
                        var wrapperPrev = function () {
                            _this.tourStoreService
                                .saveState({
                                tourId: tourInstance.tourId,
                                state: {
                                    sessionId: _this.tourStoreService.getSessionId(),
                                    step: e.prevStepId,
                                    props: tourState.props,
                                    status: exports.Status.InProgress,
                                },
                            })
                                .subscribe();
                            _this.router.navigate([e.prevRoute]);
                            _this.router.events.subscribe(function (event) {
                                var prevStep = tourInstance.tourSteps.filter(function (ts) { return ts.id === e.prevStepId; })[0];
                                _this.navigationCheckBack(event, prevStep, tourInstance, e.prevStepId, e.id);
                            });
                        };
                        var wrapperNormalNext = function () {
                            _this.tourStoreService
                                .saveState({
                                tourId: tourInstance.tourId,
                                state: {
                                    sessionId: _this.tourStoreService.getSessionId(),
                                    step: e.nextStepId,
                                    props: tourState.props,
                                    status: _this.getStatus(e, tourInstance.tourSteps),
                                },
                            })
                                .subscribe();
                            _this.tour.next();
                            _this.tourStepChange.next({
                                tourId: tourInstance.tourId,
                                currentStepId: e.nextStepId,
                                previousStepId: e.id,
                                moveForward: true,
                            });
                            _this.pauseAllVideos();
                        };
                        var wrapperNormalPrev = function () {
                            _this.tourStoreService
                                .saveState({
                                tourId: tourInstance.tourId,
                                state: {
                                    sessionId: _this.tourStoreService.getSessionId(),
                                    step: e.prevStepId,
                                    props: tourState.props,
                                    status: exports.Status.InProgress,
                                },
                            })
                                .subscribe();
                            _this.tour.back();
                            _this.tourStepChange.next({
                                tourId: tourInstance.tourId,
                                currentStepId: e.prevStepId,
                                previousStepId: e.id,
                                moveForward: true,
                            });
                            _this.pauseAllVideos();
                        };
                        _this.actionAssignment(e, b, wrapperNormalNext, wrapperNormalPrev, wrapperNext, wrapperPrev, func, tourInstance.tourId, tourState.props);
                    });
                });
                var originalSteps = Object.assign([], tourInstance.tourSteps);
                var element;
                _this.tour.addSteps(tourInstance.tourSteps);
                var waitTime = 2000;
                rxjs.interval(1)
                    .pipe(operators.tap(function (_count) {
                    element = _this.checkFirstElement(originalSteps);
                }), operators.takeWhile(function (count) { return count < waitTime; }), operators.filter(function (_count) { return element; }), operators.take(1), operators.map(function (_count) { return element; }))
                    .subscribe(function (el) {
                    el.scrollIntoView(true);
                    _this.tour.start();
                    if (removedSteps !== undefined) {
                        removedSteps.forEach(function (er) {
                            er.buttons.forEach(function (br) {
                                var k = br.key;
                                var funcRemoved = _this.tourStoreService.getFnByKey(k);
                                var wrapperNextRemoved = function () {
                                    _this.tourStoreService
                                        .saveState({
                                        tourId: tourInstance.tourId,
                                        state: {
                                            sessionId: _this.tourStoreService.getSessionId(),
                                            step: er.nextStepId,
                                            props: tourState.props,
                                            status: _this.getStatus(er, tourInstance.tourSteps),
                                        },
                                    })
                                        .subscribe();
                                    _this.router.navigate([er.nextRoute]);
                                    _this.router.events.subscribe(function (event) {
                                        _this.navigationCheckNext(event, er, tourInstance, er.nextStepId, er.id);
                                    });
                                };
                                var wrapperPrevRemoved = function () {
                                    _this.tourStoreService
                                        .saveState({
                                        tourId: tourInstance.tourId,
                                        state: {
                                            sessionId: _this.tourStoreService.getSessionId(),
                                            step: er.prevStepId,
                                            props: tourState.props,
                                            status: exports.Status.InProgress,
                                        },
                                    })
                                        .subscribe();
                                    _this.router.navigate([er.prevRoute]);
                                    _this.router.events.subscribe(function (event) {
                                        _this.navigationCheckBack(event, er, tourInstance, er.prevStepId, er.id);
                                    });
                                };
                                var wrapperNormalNextRemoved = function () {
                                    _this.tourStoreService
                                        .saveState({
                                        tourId: tourInstance.tourId,
                                        state: {
                                            sessionId: _this.tourStoreService.getSessionId(),
                                            step: er.nextStepId,
                                            props: tourState.props,
                                            status: _this.getStatus(er, tourInstance.tourSteps),
                                        },
                                    })
                                        .subscribe();
                                    _this.tour.next();
                                    _this.tourStepChange.next({
                                        tourId: tourInstance.tourId,
                                        currentStepId: er.nextStepId,
                                        previousStepId: er.id,
                                        moveForward: true,
                                    });
                                    _this.pauseAllVideos();
                                };
                                var wrapperNormalPrevRemoved = function () {
                                    _this.tourStoreService
                                        .saveState({
                                        tourId: tourInstance.tourId,
                                        state: {
                                            sessionId: _this.tourStoreService.getSessionId(),
                                            step: er.prevStepId,
                                            props: tourState.props,
                                            status: exports.Status.InProgress,
                                        },
                                    })
                                        .subscribe();
                                    _this.tour.back();
                                    _this.tourStepChange.next({
                                        tourId: tourInstance.tourId,
                                        currentStepId: er.nextStepId,
                                        previousStepId: er.id,
                                        moveForward: false,
                                    });
                                    _this.pauseAllVideos();
                                };
                                _this.actionAssignment(er, br, wrapperNormalNextRemoved, wrapperNormalPrevRemoved, wrapperNextRemoved, wrapperPrevRemoved, funcRemoved, tourInstance.tourId, tourState.props);
                            });
                        });
                        _this.tour.addSteps(removedSteps);
                        _this.addRemovedSteps(removedSteps);
                    }
                });
            });
        };
        TourServiceService.prototype.run = function (tourId, params, props, filterFn) {
            var _this = this;
            this.tourStoreService
                .loadTour({
                tourId: tourId,
                sessionId: this.tourStoreService.getSessionId(),
            })
                .subscribe(function (tourInstance) {
                if (tourInstance && tourInstance.tourSteps.length > 0) {
                    if (params) {
                        var steps_1 = JSON.stringify(tourInstance.tourSteps);
                        Object.keys(params).forEach(function (key) {
                            steps_1 = steps_1.replace(new RegExp("\\{\\{" + key + "\\}\\}"), params[key]);
                        });
                        tourInstance.tourSteps = JSON.parse(steps_1);
                    }
                    _this.tour = new Shepherd__default['default'].Tour({
                        useModalOverlay: true,
                        defaultStepOptions: {
                            cancelIcon: {
                                enabled: true,
                            },
                            classes: 'class-1 class-2',
                            scrollTo: { behavior: 'smooth', block: 'center' },
                        },
                    });
                    _this.tour.on('complete', function (event) {
                        event.tourId = tourInstance.tourId;
                        _this.tourComplete.next(event);
                    });
                    if (filterFn) {
                        tourInstance.tourSteps = filterFn(tourInstance.tourSteps);
                    }
                    tourInstance.tourSteps[0].attachTo.scrollTo = false;
                    _this.triggerTour(tourInstance, props);
                }
                else {
                    // do nothing
                }
            });
        };
        TourServiceService.prototype.checkFirstElement = function (tourSteps) {
            var firstStep = tourSteps[0];
            if (firstStep) {
                switch (firstStep.attachTo.type) {
                    case 'string':
                        return document.querySelector(firstStep.attachTo.element);
                    case 'element':
                        return firstStep.attachTo.element;
                    case 'function':
                        var fn = this.tourStoreService.getFnByKey(firstStep.attachTo.element);
                        return fn();
                    default:
                        return false;
                }
            }
            else {
                return false;
            }
        };
        TourServiceService.prototype.getRemovedSteps = function (tourSteps, tourState) {
            var f = true;
            return tourSteps.filter(function (e) {
                if (e.id === tourState.step || !f) {
                    f = false;
                }
                return f;
            });
        };
        TourServiceService.prototype.getTourSteps = function (tourSteps, tourState) {
            var flag = false;
            return tourSteps.filter(function (e) {
                if (e.id === tourState.step || flag) {
                    flag = true;
                }
                return flag;
            });
        };
        TourServiceService.prototype.getStatus = function (currentTourStep, tourSteps) {
            var lastId = tourSteps[tourSteps.length - 1].id;
            if (currentTourStep.id === lastId) {
                return exports.Status.Complete;
            }
            else {
                return exports.Status.InProgress;
            }
        };
        TourServiceService.prototype.pauseAllVideos = function () {
            document.querySelectorAll('video').forEach(function (vid) { return vid.pause(); });
        };
        return TourServiceService;
    }());
    TourServiceService.ɵprov = i0.ɵɵdefineInjectable({ factory: function TourServiceService_Factory() { return new TourServiceService(i0.ɵɵinject(TourStoreServiceService), i0.ɵɵinject(i2.Router)); }, token: TourServiceService, providedIn: "root" });
    TourServiceService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    TourServiceService.ctorParameters = function () { return [
        { type: TourStoreServiceService },
        { type: i2.Router }
    ]; };

    /*
     * Public API Surface of user-onboarding-lib
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.TourServiceService = TourServiceService;
    exports.TourStoreServiceService = TourStoreServiceService;
    exports.UserOnboardingLibModule = UserOnboardingLibModule;
    exports.prefix = prefix;
    exports.suffix = suffix;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=sourceloop-user-onboarding-client.umd.js.map
