import { Observable } from 'rxjs';
import { DeleteStateParameters, LoadStateParameters, SaveStateParameters, TourState } from '../models';
import { DeleteStateCommand, LoadStateCommand, SaveStateCommand } from './types';
import { StorageService } from 'ngx-webstorage-service';
export declare class SaveSCommand implements SaveStateCommand {
    private readonly storage;
    constructor(storage: StorageService);
    parameters: SaveStateParameters;
    execute(): Observable<TourState>;
}
export declare class LoadSCommand implements LoadStateCommand {
    private readonly storage;
    constructor(storage: StorageService);
    parameters: LoadStateParameters;
    execute(): Observable<TourState>;
}
export declare class DeleteSCommand implements DeleteStateCommand {
    private readonly storage;
    constructor(storage: StorageService);
    parameters: DeleteStateParameters;
    execute(): void;
}
//# sourceMappingURL=StateCommands.d.ts.map