import { DeleteStateParameters, DeleteTourParameters, LoadStateParameters, LoadTourParameters, SaveStateParameters, SaveTourParameters, Tour, TourState } from '../models';
import { StorageService } from 'ngx-webstorage-service';
import { Observable } from 'rxjs';
export declare class TourStoreServiceService {
    private readonly storage;
    private readonly commandMap;
    private readonly functionMap;
    private sessionId;
    private readonly defaultSSCommand;
    private readonly defaultSTCommand;
    private readonly defaultLSCommand;
    private readonly defaultLTCommand;
    private readonly defaultDSCommand;
    private readonly defaultDTCommand;
    private sessionGenerator;
    constructor(storage: StorageService);
    registerSaveTourCommand(cmd: any): void;
    registerLoadTourCommand(cmd: any): void;
    registerSaveStateCommand(cmd: any): void;
    registerLoadStateCommand(cmd: any): void;
    registerDeleteStateCommand(cmd: any): void;
    registerDeleteTourCommand(cmd: any): void;
    saveTour(parameters: SaveTourParameters): Observable<Tour>;
    loadTour(parameters: LoadTourParameters): Observable<Tour>;
    deleteTour(parameters: DeleteTourParameters): void;
    saveState(parameters: SaveStateParameters): Observable<TourState>;
    loadState(parameters: LoadStateParameters): Observable<TourState>;
    deleteState(parameters: DeleteStateParameters): void;
    registerFnRef(key: any, fn: () => void): void;
    getFnByKey(key: any): () => void;
    generateSessionId(): void;
    getSessionId(): string;
    setSessionIdGenerator(fn: () => string): void;
}
//# sourceMappingURL=tour-store-service.service.d.ts.map